Skip to content
Changelog

Report a bug

Calendly integration: operations for AI agents

Calendly connects to Type.com as an integration. This page lists the 69 operations documented for Claude and Codex in Type.com: 44 read, 15 write, 10 destructive.

About Calendly

Calendly is an appointment scheduling tool that automates meeting invitations, availability checks, and reminders, helping individuals and teams avoid email back-and-forth

Categories: Communication & Meetings

How to connect Calendly to Type.com

Connect
Managed OAuth through Pipedream when enabled for your workspace; Access token
Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

69 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

69 operations listed.

Activity Log

  • Read

    List activity log entries

    This endpoint requires an Enterprise subscription. activitylog:read Returns a list of activity log entries

    GET /activity_log_entries

Availability

  • Read

    Get User Availability Schedule

    This will return the availability schedule of the given UUID. availability:read

    GET /user_availability_schedules/{uuid}

  • Read

    List Event Type Availability Schedules

    Return the availability for an event type availability:read

    GET /event_type_availability_schedules

  • Read

    List User Availability Schedules

    Returns the availability schedules of the given user. availability:read

    GET /user_availability_schedules

  • Read

    List User Busy Times

    Returns an ascending list of user internal and external scheduled events within a specified date range. Date range can be no greater than 1 week (7 days). NOTE: This endpoint does not support traditional keyset pagination. External events will only be returned for calendars that have "Check for conflicts" configured. availability:read

    GET /user_busy_times

  • Write

    Update Event Type Availability Schedules

    Update an event type availability schedule availability:write

    PATCH /event_type_availability_schedules

Contacts

  • Read

    List Contacts

    Returns a collection of Contacts contacts:read

    GET /contacts

  • Read

    Get Contact

    Returns the details of a specified Contact. contacts:read

    GET /contacts/{uuid}

  • Read

    Get Contact Custom Field Definition

    Returns a single custom field definition by uuid. contacts:read

    GET /contacts/custom_field_definitions/{uuid}

  • Read

    List Contact Custom Field Definitions

    Returns all custom field definitions available to the authenticated user or organization. contacts:read

    GET /contacts/custom_field_definitions

  • Write

    Create Contact

    Create a new Contact contacts:write

    POST /contacts

  • Write

    Update Contact

    Update an existing Contact. The body must include at least one supported field; unknown top-level properties are rejected. contacts:write

    PATCH /contacts/{uuid}

  • Destructive

    Delete Contact

    Delete an existing Contact contacts:write

    DELETE /contacts/{uuid}

Data Compliance

  • Destructive

    Delete Invitee Data

    To submit a request to remove invitee data from all previously booked events in your organization, use this endpoint. Requests for data deletion can take up to 7 days to complete. This endpoint requires an Enterprise subscription. datacompliance:write

    POST /data_compliance/deletion/invitees

  • Destructive

    Delete Scheduled Event Data

    This endpoint requires an Enterprise subscription. datacompliance:write To submit a request to remove scheduled events data within a time range for your organization, use this endpoint. Requests for data deletion can take up to 7 days to complete. Time range can be no greater than 24 months and must occur in the past.

    POST /data_compliance/deletion/events

Event Types

  • Read

    List User's Event Types

    Returns all Event Types associated with a specified User. Use: organization to look up all Event Types that belong to the organization user to look up a user's Event Types in an organization Either organization or user are required query params when using this endpoint. eventtypes:read

    GET /event_types

  • Read

    Get Event Type

    Returns information about a specified Event Type. eventtypes:read

    GET /event_types/{uuid}

  • Read

    List Event Type Available Times

    Returns a list of available times for an event type within a specified date range. NOTE: Date range can be no greater than 31 days. This endpoint does not support traditional keyset pagination. availability:read

    GET /event_type_available_times

  • Read

    List Event Type Hosts

    Fetch list of event type hosts eventtypes:read

    GET /event_type_memberships

  • Write

    Create Event Type

    Create a new Event Type NOTE: Currently, this endpoint only supports one-on-one event types (kind: "solo"). eventtypes:write

    POST /event_types

  • Write

    Create One-Off Event Type

    Creates One-Off Event Type eventtypes:write

    POST /one_off_event_types

  • Write

    Update Event Type

    Update an existing Event Type NOTE: Currently, this endpoint only supports one-on-one event types (kind: "solo"). eventtypes:write

    PATCH /event_types/{uuid}

Groups

  • Read

    Get Group

    Returns information about a specified Group. groups:read

    GET /groups/{uuid}

  • Read

    Get Group Relationship

    Returns a group relationship by uuid groups:read

    GET /group_relationships/{uuid}

  • Read

    List Group Relationships

    Returns a list of group relationships - a given owner can have one membership record, but multiple admin records groups:read

    GET /group_relationships

  • Read

    List Groups

    Returns a list of groups. groups:read

    GET /groups

Locations

  • Read

    List User Meeting Locations

    Returns configured location information for a given user. locations:read

    GET /locations

Notetaker

  • Read

    Get Recap

    Returns the recap associated with a meeting if it is available. Note: Requires paid plan meetingrecaps:read

    GET /meeting_recaps/{uuid}

  • Read

    Get Transcript

    Returns the transcript associated with a meeting recap if it is available. Note: Requires paid plan meetingrecaps:read

    GET /meeting_recaps/{uuid}/transcript

  • Read

    List Recaps

    Returns a paginated list of meeting recaps accessible to the authenticated user. By default, returns Available recaps only. Use the status query parameter to retrieve processing or unavailable recaps. Supports additional filtering by scheduled event, attendee, or date range. Returns both Calendly-scheduled and external event recaps in a single collection. The event field is null for external events where no Calendly scheduled event exists. Note: Requires paid plan meetingrecaps:read

    GET /meeting_recaps

  • Write

    Update Recap

    Update an existing Recap. You may send any combination of the optional body fields; omitted fields are left unchanged. Unknown top-level properties are rejected. Note: Requires paid plan meetingrecaps:write

    PATCH /meeting_recaps/{uuid}

  • Destructive

    Delete Recap

    Delete an existing Recap Note: Requires paid plan meetingrecaps:write

    DELETE /meeting_recaps/{uuid}

Organizations

  • Read

    Get Organization

    Returns the details of a specified Organization. organizations:read

    GET /organizations/{uuid}

  • Read

    Get Organization Invitation

    Returns an Organization Invitation that was sent to the organization's members. organizations:read

    GET /organizations/{org_uuid}/invitations/{uuid}

  • Read

    Get Organization Membership

    Returns information about a user's Organization Membership organizations:read

    GET /organization_memberships/{uuid}

  • Read

    Get Team

    Returns a single Team. Required scopes: organizations:read

    GET /teams/{team_uuid}

  • Read

    List Organization Invitations

    Returns a list of Organization Invitations that were sent to the organization's members. organizations:read

    GET /organizations/{uuid}/invitations

  • Read

    List Organization Memberships

    Use this to list the Organization Memberships for all users belonging to an organization, use: user to look up a user's membership in an organization organization to look up all users that belong to the organization This endpoint can also be used to retrieve your organization URI. organizations:read

    GET /organization_memberships

  • Read

    List Teams

    Returns a paginated list of Teams matching the requested user. Required scopes: organizations:read

    GET /teams

  • Write

    Invite User to Organization

    Invites a user to an organization. organizations:write

    POST /organizations/{uuid}/invitations

  • Destructive

    Revoke User's Organization Invitation

    Use this to revoke an Organization Invitation to an organization. Once revoked, the invitation link that was sent to the invitee is no longer valid. organizations:write

    DELETE /organizations/{org_uuid}/invitations/{uuid}

  • Destructive

    Remove User from Organization

    Removes a user from an organization. Notes: To remove users, the caller must have admin rights for the organization An organization owner can't be removed organizations:write

    DELETE /organization_memberships/{uuid}

Outgoing Communications

  • Read

    List outgoing communications

    This endpoint requires an Enterprise subscription. outgoingcommunications:read Returns a list of outgoing SMS and email communications.

    GET /outgoing_communications

Routing Forms

  • Read

    Get Routing Form

    Get a specified Routing Form. routingforms:read

    GET /routing_forms/{uuid}

  • Read

    Get Routing Form Submission

    Get a specified Routing Form Submission. routingforms:read

    GET /routing_form_submissions/{uuid}

  • Read

    List Routing Form Submissions

    Get a list of Routing Form Submissions for a specified Routing Form. routingforms:read

    GET /routing_form_submissions

  • Read

    List Routing Forms

    Get a list of Routing Forms for a specified Organization. routingforms:read

    GET /routing_forms

Scheduled Events

  • Read

    Get Invitee No Show

    Returns information about a specified Invitee No Show. scheduledevents:read

    GET /invitee_no_shows/{uuid}

  • Read

    Get Event

    Returns information about a specified Event. scheduledevents:read

    GET /scheduled_events/{uuid}

  • Read

    Get Event Invitee

    Returns information about a specified Invitee (person invited to an event). scheduledevents:read

    GET /scheduled_events/{event_uuid}/invitees/{invitee_uuid}

  • Read

    List Event Invitees

    Returns a list of Invitees for an event. scheduledevents:read

    GET /scheduled_events/{uuid}/invitees

  • Read

    List Events

    Returns a list of Events. Pass organization parameter to return events for that organization (requires admin/owner privilege) Pass user parameter to return events for a specific User Pass group parameter to return events for a specific Group (requires organization admin/owner or group admin privilege) NOTES: If you are the admin/owner of the organization, you can use both organization and user to get a list of events for a specific user within your organization. If you are the admin/owner of the organization, you can use both organization and group to get a list of events for a specific group within your organization. user can only be used alone when requesting your own personal events. This will return your events within any organization that you are currently in or were a part of in the past. scheduledevents:read

    GET /scheduled_events

  • Write

    Create Event Invitee (Scheduling API)

    Creates a new booking for an event invitee. Use this endpoint to book an invitee directly from your app without redirects, iframes, or Calendly-hosted UI. Standard notifications, calendar invites, reschedules, and workflows run as if booked via the Calendly UI. NOTE: Access to this endpoint is limited to Calendly users on paid plans (Standard and above). Users on the Free plan will receive a 403 Forbidden response. scheduledevents:write

    POST /invitees

  • Write

    Create Invitee No Show

    Marks an Invitee as a No Show. scheduledevents:write

    POST /invitee_no_shows

  • Destructive

    Cancel Event

    Cancels specified event. scheduledevents:write

    POST /scheduled_events/{uuid}/cancellation

  • Destructive

    Delete Invitee No Show

    Undoes marking an Invitee as a No Show. scheduledevents:write

    DELETE /invitee_no_shows/{uuid}

Scheduling Links

Shares

  • Write

    Create Share

    Endpoint for our Customize Once and Share feature. This allows you to customize events for a specific invitee without needing to make an entirely new event type. This feature is only available for one-on-one event types. Note: Any parameter which is not provided in the request body will be copied from the target event type. shares:write

    POST /shares

Users

  • Read

    Get current user

    Returns basic information about your user account. users:read

    GET /users/me

  • Read

    Get user

    Returns information about a specified User. users:read

    GET /users/{uuid}

Webhooks

  • Read

    List Webhook Subscriptions

    Get a list of Webhook Subscriptions for a specified Organization, User, or Group. webhooks:read

    GET /webhook_subscriptions

  • Read

    Get Webhook Subscription

    Get a specified Webhook Subscription. webhooks:read

    GET /webhook_subscriptions/{webhook_uuid}

  • Read

    Get sample webhook data

    Test your webhook subscription webhooks:read

    GET /sample_webhook_data

  • Write

    Create Webhook Subscription

    Create a Webhook Subscription for an Organization, User, or Group. The organization subscription scope triggers the webhook for all subscribed events within the organization. The user subscription scope only triggers the webhook for subscribed events that belong to the specific user. The group subscription scope only triggers the webhook for subscribed events that belong to the specfic group. | Event | Allowed Subscription Scopes | Required Auth Scope | | ----- | ----- | ----- | | invitee.created | organization user group | scheduledevents:read | | invitee.canceled | organization user group | scheduledevents:read | | inviteenoshow.created | organization user group | scheduledevents:read | | inviteenoshow.deleted | organization user group | scheduledevents:read | | eventtype.created | organization user group | eventtypes:read | | eventtype.deleted | organization user group | eventtypes:read | | eventtype.updated | organization user group | eventtypes:read | | meetingrecap.created | user | meetingrecaps:read | | meetingrecap.updated | user | meetingrecaps:read | | meetingrecap.deleted | user | meetingrecaps:read | | routingformsubmission.created | organization Create separate Webhook Subscriptions for events with different subscription scopes. | routingforms:read | | contact.created | organization user group | contacts:read | | contact.updated | organization user group | contacts:read | | contact.deleted | organization user group | contacts:read | webhooks:write

    POST /webhook_subscriptions

  • Destructive

    Delete Webhook Subscription

    Delete a Webhook Subscription. webhooks:write

    DELETE /webhook_subscriptions/{webhook_uuid}

O Auth

  • Read

    Introspect Access/Refresh Token

    Use this endpoint to introspect an access/refresh token.

    POST /oauth/introspect

  • Write

    Get Access Token

    Use Access Tokens to access Calendly resources on behalf of an authenticated user. To make a call to this endpoint: Include clientid as a body parameter. For the authorizationcode grant, include the codeverifier that matches the codechallenge you sent to the authorization endpoint. If your app runs on a server, also pass clientid and clientsecret with the Basic HTTP Authorization header. Note: Access Tokens expire after 2 hours. Refresh Tokens don't expire until they are used. Only 8 oauth tokens per user can be requested within a span of 1 minute

    POST /oauth/token

  • Write

    Get Authorization Code

    The Authorization Code is a temporary code that your client exchanges for an access token. PKCE flow (required) Every OAuth app must use PKCE conforming to RFC 7636, with the S256 method. If the request does not include a codechallenge, it fails. For more information, see this guide. For a JavaScript example, see pkce-vanilla-js. To receive an Authorization Code: Generate a CODEVERIFIER Build a CODECHALLENGE Redirect the user to Calendly's authorization page with the clientid, redirecturi, and codechallenge replaced with your application's clientid, redirecturi, and the codechallenge generated in the step above (see example below). Note that this url must be requested using a web browser. https://auth.calendly.com/oauth/authorize?clientid=CLIENTID&responsetype=code&redirecturi=com.site.app://auth/calendly&codechallengemethod=S256&codechallenge=CODECHALLENGE After the user grants access, they will be redirected back to your app with the Authorization Code: com.site.app://auth/calendly?code=f04281d639d8248435378b0365de7bd1f53bf452eda187d5f1e07ae7f04546d6

    GET /oauth/authorize

  • Destructive

    Revoke Access/Refresh Token

    Use this endpoint to revoke an access/refresh token.

    POST /oauth/revoke

Get started

  1. Open Space settings → Connections and search for Calendly.
  2. Connect your account and add the connection to the Space.
  3. Ask for what you need in any thread in that Space.

See How connections work for access and permissions, or browse all integrations.